doctype html
head
  block title
    if title
      title PiouPiouZ - #{ title }
    else
      title PiouPiouZ
  meta(http-equiv="Content-Type", content="text/html; charset=utf-8")
  meta(http-equiv="Content-language", content="fr")
  meta(
    name="keywords",
    content="pioupiouz, pioupiou, piouz, piou, motiontwin , motion twin , enigme, jeux web, jeux video, jeux en ligne , jeux online , online game, web game, piouz jeux, jeux de reflexion, construire son niveaux, aide pioupiouz, aide piouz, aide piou, femme_a_poil _Hk_, rose, moderapiou, piou prof "
  )
  meta(
    name="description",
    content="Ils se plurtchent, ils explosent, ils se dilatent, ils se transforment, ils avancent tout droit sans réfléchir et seul vous pouvez les amener à la sortie salvatrice. Découvrez de nombreux tableaux énigmes et sauvez un max de PiouPiouZ !"
  )
  link(href="/gfx/favicon.ico", rel="icon")
  link(href="/css/layout.css", type="text/css", rel="stylesheet")
  script(type="text/javascript", src="/js/client.mjs")
  script(type="text/javascript", src="https://unpkg.com/@ruffle-rs/ruffle")
  script.
    window.RufflePlayer = window.RufflePlayer || {};
    window.RufflePlayer.config = {
        "warnOnUnsupportedContent": false, // should be supported
        "autoplay": "on",
        "unmuteOverlay": "hidden" // we don't have sound
    };
  block scripts
body
  #flashalert
    #ruffle(style="display: none")
      | Ruffle n'est pas encore supporté. Utilisez un navigateur qui suppiorte Flash comme Waterfox Classic.
      br
      | Utilisez un navigateur qui suppiorte Flash comme #[a(href="https://classic.waterfox.net/") Waterfox Classic] ou #[a(href="https://www.palemoon.org/") Palemoon].
    #oldFlash(style="display: none") Une vielle version non supportée de flash est instalée. Installez Flash 8 ou supérieur.
    #okFlash(style="display: none") Votre navigateur supporte Flash.
    #noFlash(style="display: none") 
      | Votre navigateur ne supporte ni Ruffle, ni Flash (ou il n'est pas installé).
      br
      | - Utilisez un navigateur qui supporte Flash comme #[a(href="https://classic.waterfox.net/") Waterfox Classic] ou #[a(href="https://www.palemoon.org/") Palemoon], et installez le.
      br
      | - Utilisez un navigateur récent qui supporte Ruffle.
  script.
    // TODO: better way to choose the openfl/flash version
    const localUseFlash = localStorage.getItem("useFlash");
    window.useFlashClient = localUseFlash === null ? null : localUseFlash === "true";
    if (window.useFlashClient === null) {
      switch (client.isFlashSupported()) {
        case "ok":
          window.useRuffle = false;
          break;
        case "old":
          document.getElementById("oldFlash").style.display = "block";
          break;
        case "no":
          document.getElementById("noFlash").style.display = "block";
          break;
        case "ruffle":
          window.useRuffle = true;
          // document.getElementById("ruffle").style.display = "block";
          break;
      }
    }
  #tooltip
    .content
      .header
        #tooltipContent
    .footer
  #wallpaper
    #main
      #flymypiou 
      #header
        h1 PiouPiouz
      if connected
        include layout/menuLogged.pug
      else
        include layout/menuUnlogged.pug
      #content
        #generalmenu
          if connected
            include layout/sideMenuLogged.pug
          else
            include layout/sideMenuUnlogged.pug
        #content_body
          if query && query.error
            #error(style="display: block")= query.error
          block content
        .clear_txt 
      include layout/footer.pug
  include layout/end.pug
